
@font-face {
    font-family: excellence;
    src: url('../fonts/ExcellenceInMotionScreen-Regular.woff');
    font-weight: normal;
}




html {
    margin: 0;
    min-height: 100%;
    padding: 0;
}

body {
    height: 100%;
    width: 100%;
    margin: 0;
    padding: 0;
    font-family: 'Excellence', sans-serif;
    font-weight: normal;
    background: rgb(0, 10, 41);
    background: linear-gradient(180deg, rgba(0, 10, 41, 1) 0%, rgba(0, 33, 83, 1) 90%);
}

a {
    text-decoration: none;
    color: inherit;
}

.noscroll {
    overflow: hidden !important;
}

.vhheight {
    height: 100vh !important;
}

.head-container {
    width: 100%;
    /* padding-top: 5%; */
    padding-top: 3vw;
    padding-bottom: 3vw;
    background: #FFFFFF;
}

.head-container a {
    display: flex;
    align-items: center;
    justify-content: center;
}

#end-game {
    width: 100%;
    margin-top: 15vh;
    display: none;
    justify-content: center;
}

#end-text {
    font-size: 6vw;
    color: #FFF;
    text-align: center;
}


.language {
    width: 40%;
    margin: auto;
    text-align: center;
}

.language input {
    background-color: transparent;
    border: 1px #2B354F solid;
    color: #2B354F;
    padding: 5px 20px;
    cursor: pointer;
    font-size: 2.5vw;
}

.logos {
    width: 100%;
    display: flex;
    gap: 3vw;
    justify-content: center;
    margin-bottom: 3vw;
}

.af {
    width: 36vw;
}

.canal {
    width: 27vw;
}

.cannes {
    width: 27vw;
    margin-top: -4px;
}

.content-container {
    display: block;
    color: #FFF;
    width: 100%;
    height: 100%;
    position: relative;
}

.intro-text {
    font-size: 4.75vw;
    line-height: 5.5vw;
    text-align: center;
    padding: 0 15px;
    margin-top: 75vw;
}

.bg-img-home {
    position: absolute;
    width: 100%;
    bottom: 18%;
    left: 10%;
}

.welcome-text {
    display: block;
    text-align: center;
    margin: 10vh auto 0 auto;
    width: 70%;
}

.welcome-text span:nth-of-type(1) {
    text-transform: uppercase;
    font-size: 6.5vw;
    font-weight: 400;
}

.welcome-text span:nth-of-type(2) {
    font-family: 'excellence', sans-serif;
    font-weight: 800;
    text-transform: uppercase;
    font-size: 14vw;
}

.welcome-text span:nth-of-type(3) {
    text-transform: uppercase;
    font-weight: 800;
    font-size: 6vw;
}

.next-page {
    font-weight: 400;
    margin: 5vh auto 0 auto;
    background: transparent;
    padding: 5px 20px;
    width: fit-content;
    color: #FFF;
    border: solid 1px #FFF;
    border-radius: 22px;
    font-size: 5vw;
    text-decoration: none;
}

.rules {
    position: absolute;
    z-index: 1;
    margin-top: 5vh;
    left: 35%;
    text-align: center;
    font-size: 1.8vh;
    text-decoration: underline;
}

.step-2 {
    text-align: center;
}

.step-2 .text-1 {
    margin: 10vh auto 0 auto;
    font-size: 5.5vw;
    line-height: 5.5vw;
    font-weight: 400;
    width: 80%;
}

.step-2 .text-2 {
    margin: 10vh auto 0 auto;
    font-size: 3vw;
    font-style: italic;
    width: 80%;
    text-align: left;
}

/* .step-2 .text-3 {
    margin-top: 2.5vh;
    font-size: 1.8vh;
} */

.play-btn {
    margin: 10vh auto auto auto;
    background: transparent;
    font-weight: 300;
    font-size: 4.5vw;
    padding: 6px 40px;
    border: solid 1px #FFF;
    border-radius: 22px;
    width: fit-content;
    color: #FFF;
    text-decoration: none;
}

.step2-rules {
    margin-top: 10vh;
    text-decoration: underline;
    font-size: 3.5vw;
}

.select-destination {
    margin: 6vh auto 0 auto;
    text-align: center;
    font-size: 5vw;
    line-height: 5vw;
    font-weight: 400;
    width: 80%;
}

.swiper-container {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 0vh;
}

.swiper {
    width: 100%;
    height: auto;
    position: relative;
}

.swiper-wrapper {
    align-items: center;
}

.swiper-slide {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.img-container {
    width: 25vh;
    height: 40vh;
    padding-top: 5vh;
    margin: auto;
    position: relative;
}

.flag-container {
    position: absolute;
    top: 3vh;
    display: flex;
    align-items: center;
    justify-content: center;
    right: -20px;
    background-color: #ffffff;
    width: 55px;
    height: 55px;
    z-index: 1;
    border-radius: 100%;
}

.swiper-slide img {
    width: 25vh;
    height: 35vh;
    object-fit: cover;
    border: #FFF 3px solid;
}

.flag-container img {
    border: none;
    width: 50px;
    height: 50px;
}

.destination-go {
    cursor: pointer;
    display: block;
    margin: 0 auto 0 auto;
    width: fit-content;
    border: solid 1px #FFF;
    border-radius: 22px;
    padding: 5px 20px;
    font-size: 4.5vw;
}

.modal-img-container {
    height: 100%;
    width: 360px;
    margin: 3% auto auto auto;
    position: relative;
}

.modal-flag-container {
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    top: -20px;
    right: -20px;
    background-color: #ffffff;
    width: 55px;
    height: 55px;
    z-index: 1;
    border-radius: 100%;
}

.modal-flag-container img {
    border: none;
    width: 50px;
    height: 50px;
}

#modalImage {
    width: 360px;
    height: 100%;
    border: 2px solid #FFF;
    object-fit: cover;
    object-position: center;
}


/* Navigation buttons */
.swiper-button-prev, .swiper-button-next {
    color: #000;
    /* Button color */
    background: #FFF;
    /* Semi-transparent background */
    display: flex;
    border-radius: 50%;
    justify-content: center;
    width: 50px !important;
    height: 50px !important;
    align-items: center;
}

.swiper-button-prev {
    background-image: url('/images/left-arrow.png');
    background-size: cover;
    /* Cover the button area with your image */
    background-repeat: no-repeat;
    background-position: center;
    text-indent: -9999px;
    /* Hide the default arrow text */
}

.swiper-button-next {
    background-image: url('/images/left-arrow.png');
    -webkit-transform: scaleX(-1);
    transform: scaleX(-1);
    background-size: cover;
    /* Cover the button area with your image */
    background-repeat: no-repeat;
    background-position: center;
    text-indent: -9999px;
    /* Hide the default arrow text */
}

.swiper-button-prev::after, .swiper-button-next::after {
    content: "";
    /* Remove the original content */
}

.swiper-button-prev::after, .swiper-button-next::after {
    content: "";
    /* Remove the original content */
}

.swiper-button-next {
    right: -60px;
    /* Adjust distance from the slider */
    z-index: 10;
    /* Ensure it's above other content */
}

.formBtn {
    margin: 10vh auto auto auto;
    background: transparent;
    border-radius: 22px;
    border: solid 1px #FFF;
    font-size: 2.3vh;
    font-weight: bolder;
    padding: 5px 20px;
    width: fit-content;
    color: #FFF;
    text-decoration: none;
}

.af-form {
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
    padding-top: 0;
    padding-left: 0;
    padding-right: 0;
    margin: 6vh auto 0 auto;
}

.form-title {
    font-size: 5vw;
    letter-spacing: 2px;
    font-weight: 600;
    text-align: center;
    margin-bottom: 3vh;
}

.form-element {
    margin-top: 4%;
    display: flex;
    margin-left: 20px;
    align-items: center;
}

.form-element label {
    margin-right: 20px;
    font-size: 4.5vw;
    width: 34vw;
    text-align: right;
}

.form-element input {
    background: #2B354F;
    color: #FFF;
    font-size: 4.3vw;
    outline: none;
    font-family: 'Excellence', sans-serif;
    box-shadow: none;
    border: none !important;
    border-radius: 22px;
    padding: 5px 10px;
}

input::placeholder {
    color: #999a9e;
}

#destination {
    color: #999a9e;
}

#telephone {
    width: 47.5vw;
}

.form-separator {
    height: 2px;
    width: 10%;
    background: #FFF;
    margin-top: 5%;
    margin-bottom: 6%;
}

.form-element span {
    font-size: 3.25vw;
    margin-left: 10px;
}


.btn-submit {
    display: block;
    text-align: center;
    width: 50%;
    margin: 10% auto auto auto;
    background: transparent;
    border-radius: 22px;
    border: solid 1px #FFF;
    font-weight: 400;
    font-size: 4.5vw;
    font-family: 'Excellence', sans-serif;
    padding: 5px 20px;
    color: #FFF;
    text-decoration: none;
    cursor: pointer;
}

.required-asterisk {
    color: #f25961;
    margin-left: 10px;
}

.required-message {
    color: #f25961;
    font-weight: bold;
    margin-top: 25px;
    margin-left: 55px;
    text-align: center;
}


.checks {
    margin-top: 5vh !important;
}

input[type="checkbox"] {
    opacity: .2;
    background: #2B354F;
    width: 18px;
    border-radius: 22px;
    height: 18px;
    cursor: pointer;
}

input[type="checkbox"]:checked {
    opacity: 1;
}

#newsletter, #rules {
    margin-left: 15vw;
}

.step4-rules {
    width: 100%;
    font-size: 3.25vw;
    text-align: center;
    text-decoration: underline;
    margin: 10% auto 1% auto;
}

.thanks {
    margin-top: 50%;
    text-align: center;
}

.thanks-1 {
    font-size: 8vh;
    margin: 0;
    font-weight: 700;
    color: transparent;
    -webkit-text-stroke: 1px #FFF;
}

.thanks-2 {
    font-size: 2.5vh;
    margin: 2vh 0;
    font-weight: bolder;
}

.thanks img {
    width: 50%;
}

.rules-container {
    width: 90%;
    padding: 5% 5%;
}

.back-btn {
    margin-top: 2vw;
    margin-bottom: 10vw;
}

.article-title {
    font-weight: bold;
}

#lottie-animation {
    width: 100%;
    height: 250px;
    margin: auto;
    transform: rotate(90deg);
}



@media only screen and (max-width: 395px) {
    .step-2 .text-1 {
        font-size: 4.5vw;
    }

    .step-2 .text-2 {
        font-size: 4vw;
    }

    .play-btn {
        font-size: 4.5vw;
    }

    .step2-rules {
        font-size: 3.5vw;
        margin-bottom: 5vh;
    }

    .select-destination {
        font-size: 5vw;
    }

    .destination-go {
        font-size: 4.5vw;
    }

    #telephone {
        width: 47.5vw;
    }

    #newsletter, #rules {
        margin-left: 0vw;
    }

    .welcome-text {
        margin: 6vh auto 0 auto;
    }

    .btn-submit {
        width: fit-content;
        margin: 10% auto 5% auto;
    }

    .thanks {
        margin-top: 20%;
    }
    .bg-img-home {
        width: 92%;
        bottom: 10%;
        left: 25%;
    }

    .form-element label {
        margin-right: 20px;
        font-size: 4.5vw;
        width: 35vw;
        text-align: right;
    }

    .form-element {
        margin-left: 10px;
    }

    .checks {
        margin-left: 20px;
    }

    .required-message {
        margin-left: 0;
        padding-left: 20px;
        text-align: left;
    }
}

@media only screen and (min-width: 384px) and (max-width: 400px) {
    #telephone {
        width: 49.5vw;
    }
    .step-2 .text-1{
        font-size: 4.5vw;
    }
}

@media only screen and (min-width: 396px) {
    .welcome-text {
        margin: 7vh auto 0 auto;
    }

    .bg-img-home {
        width: 100%;
        left: 20%;
        bottom: 10%;
    }

    .btn-submit {
        width: fit-content;
    }

    .thanks {
        margin-top: 15vh;
    }

    .form-element label {
        width: 34.65vw;
    }
    #newsletter, #rules {
        margin-left: 0vw;
    }

    .af-form {
        padding-bottom: 5vh;
    }
}

@media only screen and (min-width: 401px) and (max-width: 519px) {
    .step-2 .text-1{
        font-size: 4.5vw;
    }

    .form-element {
        margin-left: 10px;
    }

    .checks {
        margin-left: 20px;
    }

    .required-message {
        margin-left: 0;
        text-align: left;
        padding-left: 20px;
    }
}

@media only screen and (min-width: 520px) {
    .intro-text {
        font-size: 3.25vw;
        margin-top: 4vw;
        line-height: 4vw;
    }

    /* .logo {
        width: 50%;
    } */

    .language {
        margin: 1% auto 0 auto;
    }

    .language input {
        font-size: 2vw;
    }

    .bg-img-home {
        width: 83%;
        left: 30%;
        bottom: 11%;
    }

    .welcome-text {
        margin: 5vh auto 0 auto;
    }

    .welcome-text span:nth-of-type(1) {
        font-size: 4.5vw;
    }

    .welcome-text span:nth-of-type(2) {
        font-size: 9.8vw;
    }

    .welcome-text span:nth-of-type(3) {
        font-size: 4.1vw;
    }

    .next-page {
        font-size: 3.5vw;
    }

    .step-2 .text-1 {
        font-size: 3.5vw;
        line-height: 3.5vw;
        margin: 8vh auto 0 auto;
    }

    .step2 .text-2 {
        margin: 8vh auto 0 auto;
        font-size: 2vw;
    }

    .play-btn {
        margin: 8vh auto 0 auto;
        font-size: 3.5vw;
    }

    .step2-rules {
        font-size: 2.5vw;
        margin-top: 20vh;
    }

    .select-destination {
        font-size: 3.75vw;
        line-height: 3.75vw;
    }

    .swiper-container {
        margin-top: 3vh;
    }

    .destination-go {
        font-size: 3vw;
    }

    .form-title {
        font-size: 3.75vw;
        margin-bottom: 1vw;
    }

    .af-form {
        margin: 4vh auto 0 auto;
    }

    .form-element label {
        font-size: 2.75vw;
    }

    .form-element input {
        font-size: 2.75vw;
    }

    #telephone {
        width: 30.5vw;
    }

    .form-element span {
        font-size: 2.25vw;
    }

    .btn-submit {
        margin: 5% auto 2% auto;
        font-size: 3vw;
        width: 45%;
    }

    .thanks {
        margin-top: 10vh;
    }

    .back-btn {
        margin-bottom: 4vw;
    }

    .rules-container {
        font-size: 2.5vw;
        line-height: 2.8vw;
    }
}

@media only screen and (min-width: 820px) {
    .btn-submit {
        margin: 8% auto 2% auto;
    }
    .thanks {
        margin-top: 20%;
    }
    #lottie-animation {
        width: 500px;
        height: 500px;
    }
    #newsletter, #rules {
        margin-left: 12vw; 
    }
    #end-text {
        font-size: 3vw;
    }
}

@media only screen and (min-width: 1024px) {
    .swiper-button-prev {
        left: 8vw !important;
    }

    .swiper-button-next {
        right: 8vw !important;
    }

    .swiper-button-next, .swiper-button-prev {
        width: 65px !important;
        height: 65px !important;
    }

    .form-element label {
        width: 39.5vw;
    }

    #end-text {
        font-size: 1.5vw;
    }

    #telephone {
        width: 29vw;
    }

    .next-page {
        font-size: 2.8vw;
    }
}


@media only screen and (min-width: 1270px) {
    .head-container {
        padding-top: 0;
    }

    .logo {
        width: 30%;
    }

    .language {
        margin: 0 auto;
    }

    .language input {
        font-size: 1vw;
    }

    .welcome-text {
        margin: 10vh auto 0 auto;
    }

    .welcome-text span:nth-of-type(1) {
        font-size: 3vw;
    }

    .welcome-text span:nth-of-type(2) {
        font-size: 6.3vw;
    }

    .welcome-text span:nth-of-type(3) {
        font-size: 2.7vw;
    }

    .next-page {
        font-size: 1.8vw;
        margin: 10vh auto 0 auto;
    }

    .bg-img-home {
        width: 50%;
        left: 60%;
    }

    .step-2 .text-1 {
        font-size: 2.25vw;
        line-height: 2.25vw;
    }

    .step-2 .text-2 {
        font-size: 1.3vw;
        line-height: 1.5vw;
    }

    .play-btn {
        font-size: 2vw;
    }

    .step2-rules {
        margin-top: 15vh;
        font-size: 1.5vw;
    }

    .select-destination {
        font-size: 2.25vw;
        line-height: 2.25vw;
    }

    .destination-go {
        font-size: 2vw;
        margin: 3vh auto 0 auto;
    }

    .form-title {
        font-size: 2.5vw;
        margin-top: 3vh;
    }

    .form-element label {
        font-size: 1.8vw;
        width: 41.5vw;
    }

    .form-element input {
        font-size: 1.8vw;
    }

    .form-element {
        margin-top: 4vh;
    }

    #telephone {
        width: 19vw;
    }

    .form-element span {
        font-size: 1.5vw;
    }

    .checks {
        margin-top: 10vh;
        margin-left: 30vw;
    }

    #newsletter, #rules {
        margin-left: 0;
    }

    .btn-submit {
        font-size: 2vw;
        width: fit-content;
        padding: 5px 50px;
        margin: 10vh auto 5vh auto;
    }

    .thanks {
        margin-top: 10vh;
    }

    .thanks img {
        width: 30%;
    }

    .rules-container {
        font-size: 1.7vw;
        width: 70%;
        margin: auto;
        line-height: 1.9vw;
    }
}

@media only screen and (min-width: 1440px) {
    .rules-container {
        font-size: 1.2vw;
        line-height: 1.5vw;
    }
}

@media only screen and (min-width: 1921px) {
    .language input {
        font-size: .6vw;
    }

    .welcome-text span:nth-of-type(1) {
        font-size: 2.5vw;
    }

    .welcome-text span:nth-of-type(2) {
        font-size: 5.25vw;
    }

    .welcome-text span:nth-of-type(3) {
        font-size: 2.3vw;
    }

    .next-page {
        font-size: 1.3vw;
    }

    .step-2 .text-1 {
        font-size: 1.5vw;
        line-height: 1.5vw;
        width: 50vw;
    }

    .step-2 .text-2 {
        font-size: .8vw;
        line-height: 1vw;
        margin: 10vh -6.2vw 0 auto;
    }

    .play-btn {
        font-size: 1.5vw;
    }

    .step2-rules {
        font-size: 1vw;
    }

    .select-destination {
        font-size: 1.5vw;
        width: 50vw;
        line-height: 1.5vw;
    }

    .destination-go {
        font-size: 1.5vw;
    }

    .form-title {
        margin-top: 1vh;
        font-size: 1.6vw;
        letter-spacing: 2px;
    }

    .form-element label {
        font-size: 1vw;
        width: 44.5vw;
    }

    .form-element input {
        font-size: 1vw;
    }

    .form-element {
        margin-top: 2vh;
    }

    #telephone {
        width: 10.8vw;
    }

    .form-element span {
        font-size: .8vw;
    }

    .checks {
        margin-top: 10vh;
        margin-left: 36.75vw;
    }

    .btn-submit {
        font-size: 1.25vw;
        margin: 5vh auto 5vh auto;
    }

    .rules-container {
        font-size: 1vw;
        line-height: 1.2vw;
        width: 50%;
        margin: auto;
    }

    #lottie-animation {
        width: 100%;
        height: 700px;
    }
}

@media only screen and (min-width: 767px) {

    .logos {
        gap: 2vw;
    }

    .af {
        width: 30vw;
    }

    .canal {
        width: 20vw;
    }

    .cannes {
        width: 20vw;
    }

    .intro-text {
        font-size: 2.75vw;
        line-height: 3.25vw;
        padding: 0 4vw;
    }
}

@media only screen and (min-width: 1024px) {
    .head-container {
        padding-top: 1vw;
        padding-bottom: 1vw;
    }

    .af {
        width: 15vw;
    }

    .canal {
        width: 10vw;
    }

    .cannes {
        width: 10vw;
    }

    .intro-text {
        font-size: 2.75vw;
        padding: 0 4vw;
        margin-bottom: 6vw;
    }
}

@media only screen and (min-width: 1430px) {
    .intro-text {
        font-size: 2.2vw;
        line-height: 2.5vw;
        padding: 0 4vw;
        margin-bottom: 3vw;
    }
}

@media only screen and (min-width: 1900px) {
    .intro-text {
        font-size: 1.9vw;
        line-height: 2vw;
        padding: 0 15vw;
        margin-bottom: 3vw;
    }
}